import request from '@/utils/request'

// 查询质量月报S3022列表
export function listS3022(query) {
  return request({
    url: '/production/s3022/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S3022详细
export function getS3022(id) {
  return request({
    url: '/production/s3022/' + id,
    method: 'get'
  })
}

// 新增质量月报S3022
export function addS3022(data) {
  return request({
    url: '/production/s3022',
    method: 'post',
    data: data
  })
}

// 修改质量月报S3022
export function updateS3022(data) {
  return request({
    url: '/production/s3022',
    method: 'put',
    data: data
  })
}

// 删除质量月报S3022
export function delS3022(id) {
  return request({
    url: '/production/s3022/' + id,
    method: 'delete'
  })
}

// 导出质量月报S3022
export function exportS3022(query) {
  return request({
    url: '/production/s3022/export',
    method: 'get',
    params: query
  })
}